    import {CheckList} from 'tablefilter/src/modules/checkList.js'

public class | source

# CheckList

#### Extends:

Feature → CheckList

## Constructor Summary

Public Constructor
public | constructor(tf: Object) Checklist UI component |

## Member Summary

Public Members
public | activateCheckListTxt: * |
public | checkListCssClass: * |
public | checkListDiv: * |
public | checkListDivCssClass: * |
public | checkListItemCssClass: * |
public | checkListItemDisabledCssClass: * |
public | checkListSlcItemCssClass: * |
public | enableCheckListResetFilter: * |
public | excludedOpts: * |
public | initialized: boolean |
public | isCustom: * |
public | opts: * |
public | optsTxt: * |
public | prfxCheckListDiv: string |

## Method Summary

Public Methods
public | addChecks(colIndex: Number, ul: Object) Add checklist options |
public | addTChecks(colIndex: Number, ul: Object): * Add checklist header option |
public | build(colIndex: Number, isExternal: Boolean, extFltId: String) Build checklist UI |
public | destroy() |
public | init(colIndex: Number, isExternal: Boolean, container: DOMElement) Initialize checklist filter |
public | onChange(evt: *) |
public | onCheckListClick(evt: *) |
public | optionClick(evt: *) |
public | selectOptions(colIndex: Number, values: Array) Select filter options programmatically |
public | setCheckListValues(o: Object) Store checked options in DOM element attribute |

## Inherited Summary

From class Feature
public | config: * |
public | emitter: * |
public | enabled: * |
public | feature: * |
public | initialized: boolean |
public | tf: * |
public | destroy() |
public | disable() |
public | enable() |
public | init() |
public | isEnabled(): * |
public | reset() |

## Public Constructors

### public constructor(tf: Object) source

Checklist UI component

#### Override:

Feature#constructor

#### Params:

Name | Type | Attribute | Description
tf | Object |  | TableFilter instance

## Public Members

### public activateCheckListTxt: * source

### public checkListCssClass: * source

### public checkListDiv: * source

### public checkListDivCssClass: * source

### public checkListItemCssClass: * source

### public checkListItemDisabledCssClass: * source

### public checkListSlcItemCssClass: * source

### public enableCheckListResetFilter: * source

### public excludedOpts: * source

### public initialized: boolean source

#### Override:

Feature#initialized

### public isCustom: * source

### public opts: * source

### public optsTxt: * source

### public prfxCheckListDiv: string source

## Public Methods

### public addChecks(colIndex: Number, ul: Object) source

Add checklist options

#### Params:

Name | Type | Attribute | Description
colIndex | Number |  | Column index
ul | Object |  | Ul element

### public addTChecks(colIndex: Number, ul: Object): * source

Add checklist header option

#### Params:

Name | Type | Attribute | Description
colIndex | Number |  | Column index
ul | Object |  | Ul element

#### Return:

*

### public build(colIndex: Number, isExternal: Boolean, extFltId: String) source

Build checklist UI

#### Params:

Name | Type | Attribute | Description
colIndex | Number |  | Column index
isExternal | Boolean |  | Render in external container
extFltId | String |  | External container id

### public destroy() source

#### Override:

Feature#destroy

### public init(colIndex: Number, isExternal: Boolean, container: DOMElement) source

Initialize checklist filter

#### Override:

Feature#init

#### Params:

Name | Type | Attribute | Description
colIndex | Number |  | Column index
isExternal | Boolean |  | External filter flag
container | DOMElement |  | Dom element containing the filter

### public onChange(evt: *) source

#### Params:

Name | Type | Attribute | Description
evt | * |  |

### public onCheckListClick(evt: *) source

#### Params:

Name | Type | Attribute | Description
evt | * |  |

### public optionClick(evt: *) source

#### Params:

Name | Type | Attribute | Description
evt | * |  |

### public selectOptions(colIndex: Number, values: Array) source

Select filter options programmatically

#### Params:

Name | Type | Attribute | Description
colIndex | Number |  | Column index
values | Array |  | Array of option values to select

### public setCheckListValues(o: Object) source

Store checked options in DOM element attribute

#### Params:

Name | Type | Attribute | Description
o | Object |  | checklist option DOM element